ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Raymond Wilson <raymond_wil...@trimble.com>
Subject Re: [jira] [Created] (IGNITE-14208) .NET: Examples multi targeting
Date Mon, 01 Mar 2021 21:15:39 GMT
Thanks for the tip Pavel

On Thu, Feb 25, 2021 at 10:27 PM Pavel Tupitsyn <ptupitsyn@apache.org>
wrote:

> Raymond,
>
> You can explicitly reference ConfigurationManager to use the latest Redis
> version:
>
>     <PackageReference Include="StackExchange.Redis" Version="2.2.4" />
>     <PackageReference Include="System.Configuration.ConfigurationManager"
> Version="5.0.0" />
>
> This will give you NU1608 warning, but should work.
>
> I've filed a separate ticket
> https://issues.apache.org/jira/browse/IGNITE-14243,
> thanks for the heads up.
>
> Pavel
>
> On Fri, Feb 19, 2021 at 12:45 AM Raymond Wilson <
> raymond_wilson@trimble.com>
> wrote:
>
> > Big +1 for this.
> >
> > On a related note, we just ran into a versioning issue related to the
> .Net
> > Standard 2.0 support in IA. We use .Net Core 3.1 with IA 2.8.1 and wanted
> > to use the StackExchange Redis client. However, the latest client has a
> > dependency on System.Diagnostics.PerformanceCounter 5.0.0, but IA C#
> 2.8.1
> > has a specific dependency for System.Diagnostics.PerformanceCounter <
> > 5.0.0.
> >
> > This means we're having to use a slightly older version of the Redis
> client
> > before they moved to support .Net Core 3.1
> >
> >
> > On Fri, Feb 19, 2021 at 4:55 AM Pavel Tupitsyn (Jira) <jira@apache.org>
> > wrote:
> >
> > > Pavel Tupitsyn created IGNITE-14208:
> > > ---------------------------------------
> > >
> > >              Summary: .NET: Examples multi targeting
> > >                  Key: IGNITE-14208
> > >                  URL:
> https://issues.apache.org/jira/browse/IGNITE-14208
> > >              Project: Ignite
> > >           Issue Type: Improvement
> > >           Components: platforms
> > >             Reporter: Pavel Tupitsyn
> > >             Assignee: Pavel Tupitsyn
> > >              Fix For: 2.11
> > >
> > >
> > > Currently examples require .NET SDK 2.1, which is quite old. Users are
> > > more likely to have .NET Core 3.1 or .NET 5 installed.
> > >
> > > Fix example projects and replace
> > >
> > > {code}
> > > <TargetFramework>netcoreapp2.1</TargetFramework>
> > > {code}
> > >
> > > with
> > >
> > > {code}
> > > <TargetFrameworks>netcoreapp2.1;netcoreapp3.1;net5</TargetFrameworks>
> > > {code}
> > >
> > >
> > >
> > > --
> > > This message was sent by Atlassian Jira
> > > (v8.3.4#803005)
> > >
> >
> >
> > --
> > <http://www.trimble.com/>
> > Raymond Wilson
> > Solution Architect, Civil Construction Software Systems (CCSS)
> > 11 Birmingham Drive | Christchurch, New Zealand
> > raymond_wilson@trimble.com
> >
> > <
> >
> https://worksos.trimble.com/?utm_source=Trimble&utm_medium=emailsign&utm_campaign=Launch
> > >
> >
>


-- 
<http://www.trimble.com/>
Raymond Wilson
Solution Architect, Civil Construction Software Systems (CCSS)
11 Birmingham Drive | Christchurch, New Zealand
raymond_wilson@trimble.com

<https://worksos.trimble.com/?utm_source=Trimble&utm_medium=emailsign&utm_campaign=Launch>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message